import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase a partir de la cual se crean las bombas que tendra el jugador
 * 
 * @author Omar Espino 
 * @version 20/11/2014
 */
public class Bomba extends Armas
{
    private int aceleracionX;
    private int aceleracionY;
    private int direccion;
    /**constructor de la clase Bomba*/
    /**@param recibe un entero int con la direccion en que se arrojaran las bombas*/
    public Bomba(int unaDireccion)
    {
       aceleracionX=9;
       aceleracionY=1;  
       direccion=unaDireccion;
    }
    /**metodo principal de como actuaran las bombas*/
    public void act() 
    {
        movimiento();
    }  
    /**metodo para simular el movimiento de las bombas*/
    public void movimiento()
    {
        MundoIceClimber mundo=(MundoIceClimber)getWorld();
        
        if(isTouching(Obstaculo.class) || isTouching(Enemigo.class) || isTouching(Baseder.class) || isTouching(Baseizq.class) || isAtEdge())
        {
           Explosion pum=new Explosion();
           getWorld().addObject(pum,getX(),getY());
           getWorld().removeObject(this);
        }
        else
        {   
            if(direccion==1)
          {
             setLocation(getX()+aceleracionX,getY()+aceleracionY);
          }
          else
          {
            setLocation(getX()-aceleracionX,getY()+aceleracionY);
          }
        }
    }
}
