import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * clase a partir de la cual se crea el hielo que arrojaran los terodactilos 
 * 
 * @author Omar Espino 
 * @version 11/20/2014
 */
public class Hielo extends Obstaculo
{
    /**metodo principal de como actuara el hielo*/
    public void act() 
    {
       movimiento();
    }    
    
    /**metodo para el movimiento del hielo*/
    public void movimiento()
    {
     if(isTouching(Obstaculo.class) || isTouching(Popo.class) || isTouching(Bloque.class))
     {
        getWorld().removeObject(this);   
     }
     else
     {
        setLocation(getX(),getY()+1); 
     }
    }
}
