import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase a partir de la cual se crean los pisos de bloques en el escenario
 * 
 * @author Omar Espino 
 * @version 20/11/2014
 */
public class Pisobloque extends Bloque
{
     private Bloque []arregloBloque;
    
     /**constructor de la clase en la cual se crea el arreglo de bloques*/
    public Pisobloque()
    {
      arregloBloque= new Bloque[100];
        for(int i=0;i<100;i++)
        {
          arregloBloque[i]=new Bloque();  
        }
    }
    /**meotodo sobre escrito en el cual se asignan las posiciones de como se van a agregar al mundo los bloques contenidos en el arreglo*/
    /**@param recibe como parametro el mundo en el  cual se va agregar el arreglo*/
    protected void addedToWorld(World world)
    {
          int distancia; 
          //piso 2
          world.addObject(arregloBloque[0],getX(),getY());
          world.addObject(arregloBloque[1],getX()+15,getY());
          world.addObject(arregloBloque[2],getX()+30,getY());
          world.addObject(arregloBloque[3],getX()+45,getY());
          world.addObject(arregloBloque[4],getX()+60,getY());
          world.addObject(arregloBloque[5],getX()+75,getY());
          world.addObject(arregloBloque[6],getX()+90,getY());
          world.addObject(arregloBloque[7],getX()+795,getY());
          world.addObject(arregloBloque[8],getX()+810,getY());
          world.addObject(arregloBloque[9],getX()+825,getY());
          world.addObject(arregloBloque[10],getX()+840,getY());
          world.addObject(arregloBloque[11],getX()+855,getY());
          world.addObject(arregloBloque[12],getX()+870,getY());
          world.addObject(arregloBloque[13],getX()+885,getY());
          //piso3
          world.addObject(arregloBloque[14],getX(),getY()-75);
          world.addObject(arregloBloque[15],getX()+15,getY()-75);
          world.addObject(arregloBloque[16],getX()+30,getY()-75);
          world.addObject(arregloBloque[17],getX()+45,getY()-75);
          world.addObject(arregloBloque[18],getX()+60,getY()-75);
          world.addObject(arregloBloque[19],getX()+75,getY()-75);
          world.addObject(arregloBloque[20],getX()+90,getY()-75);
          world.addObject(arregloBloque[21],getX()+105,getY()-75);
          world.addObject(arregloBloque[22],getX()+120,getY()-75);
          world.addObject(arregloBloque[23],getX()+135,getY()-75);
          world.addObject(arregloBloque[24],getX()+150,getY()-75);
          world.addObject(arregloBloque[25],getX()+735,getY()-75);
          world.addObject(arregloBloque[26],getX()+750,getY()-75);
          world.addObject(arregloBloque[27],getX()+765,getY()-75);
          world.addObject(arregloBloque[28],getX()+780,getY()-75);
          world.addObject(arregloBloque[29],getX()+795,getY()-75);
          world.addObject(arregloBloque[30],getX()+810,getY()-75);
          world.addObject(arregloBloque[31],getX()+825,getY()-75);
          world.addObject(arregloBloque[32],getX()+840,getY()-75);
          world.addObject(arregloBloque[33],getX()+855,getY()-75);
          world.addObject(arregloBloque[34],getX()+870,getY()-75);
          world.addObject(arregloBloque[35],getX()+885,getY()-75);
          //piso 4
          world.addObject(arregloBloque[36],getX(),getY()-225);
          world.addObject(arregloBloque[37],getX()+15,getY()-225);
          world.addObject(arregloBloque[38],getX()+30,getY()-225);
          world.addObject(arregloBloque[39],getX()+45,getY()-225);
          world.addObject(arregloBloque[40],getX()+60,getY()-225);
          world.addObject(arregloBloque[41],getX()+75,getY()-225);
          world.addObject(arregloBloque[42],getX()+90,getY()-225);
          world.addObject(arregloBloque[43],getX()+105,getY()-225);
          world.addObject(arregloBloque[44],getX()+120,getY()-225);
          world.addObject(arregloBloque[45],getX()+135,getY()-225);
          world.addObject(arregloBloque[46],getX()+150,getY()-225);
          world.addObject(arregloBloque[47],getX()+735,getY()-225);
          world.addObject(arregloBloque[48],getX()+750,getY()-225);
          world.addObject(arregloBloque[49],getX()+765,getY()-225);
          world.addObject(arregloBloque[50],getX()+780,getY()-225);
          world.addObject(arregloBloque[51],getX()+795,getY()-225);
          world.addObject(arregloBloque[52],getX()+810,getY()-225);
          world.addObject(arregloBloque[53],getX()+825,getY()-225);
          world.addObject(arregloBloque[54],getX()+840,getY()-225);
          world.addObject(arregloBloque[55],getX()+855,getY()-225);
          world.addObject(arregloBloque[56],getX()+870,getY()-225);
          world.addObject(arregloBloque[57],getX()+885,getY()-225);
          //piso5
          distancia=0;
           for(int i=58;i<69;i++)
           {
              world.addObject(arregloBloque[i],getX()+distancia,getY()-375);
              distancia+=15;
           }
          distancia=735;
           for(int i=69;i<80;i++)
           {
              world.addObject(arregloBloque[i],getX()+distancia,getY()-376);
              distancia+=15;
           }
           //obstaculo cruz
           distancia=370;
           for(int i=80;i<90;i++)
           {
              world.addObject(arregloBloque[i],getX()+distancia,getY()-441);
              distancia+=15; 
           }
        }
}
