import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase a partir de la cual se crea la llave2
 * 
 * @author Omar Espino 
 * @version 27/11/2014
 */
public class Llave2 extends Objetos
{
     private boolean deboSeguir;
    /**constructor el cual inializa la variable que sabra cuando el jugador lleva la llave cargada*/
    public Llave2()
    {
        deboSeguir=false;    
    }
    /**metodo principal de como actuara la llave*/
    public void act() 
    {
        if(deboSeguir==true)
        {
            seguir();
        }
        
        if(isTouching(Popo.class))
        {
            deboSeguir=true;
        }
    }    
    /**metodo que hace que la llave siga al jugador para que haga la animacion de que la lleva cargada*/
    public void seguir()
    {
        MundoIceClimber mundo=(MundoIceClimber)getWorld();
        mundo.setPaintOrder(Llave.class,Puerta.class);
        
         if(mundo.getPersonaje().getDireccion()==1)
         {
            setRotation(0);
            setLocation(mundo.getPersonaje().getX()+25,mundo.getPersonaje().getY()+4);
         }
         else
         {
            setRotation(180);
            setLocation(mundo.getPersonaje().getX()-25,mundo.getPersonaje().getY()+4);
         }
         mundo.getPersonaje().setTengoLlave2(true);
    }    
}
