import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * clase a partir de la cual se crea el piso2
 * 
 * @author Omar Espino 
 * @version 11/20/2014
 */
public class Piso2 extends Ladrillo2
{
    
    private Ladrillo2 []arregloLadrillo;

    /**constructor de la clase que se encarga de crear el piso2 a partir de un arreglo de ladrillos*/
    public Piso2()
    {
        arregloLadrillo= new Ladrillo2[47];
        for(int i=0;i<47;i++)
        {
            arregloLadrillo[i]=new Ladrillo2();  
        }
    }   
    /**metodo para agregar el piso al mundo*/
    /**@param recibe como parametro de tipo world que es el mundo en el que va a agregar*/
    protected void addedToWorld(World world)
    {
        int ii=0;
        int i;
        //piso1
        for(i=0;i<47;i++)
        {
            world.addObject(arregloLadrillo[i],getX()+ii,getY());
            ii+=15;
        }
        
    }
    
}
