import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * clase a partir de la cual se crea el ladrillo 
 * 
 * @author Omar Espino 
 * @version 11/20/2014
 */
public class Piso8 extends Ladrillo8
{
    private Ladrillo8 []arregloLadrillo;
   
    /**constructor de la clase en el cual se crea un arreglo de ladrillos para formar el piso8*/
    public Piso8()
    {
        arregloLadrillo= new Ladrillo8[14];
        for(int i=0;i<14;i++)
        {
            arregloLadrillo[i]=new Ladrillo8();  
        }
    }
    /**metodo para agregar el piso al mundo*/
    /**@param recibe como parametro de tipo world que es el mundo en el que va a agregar*/
    protected void addedToWorld(World world)
    {
        int ii=0;
        int i;
        //piso1
        for(i=0;i<14;i++)
        {
            world.addObject(arregloLadrillo[i],getX()+ii,getY());
            ii+=15;
        }

    }
}
